<?php

namespace App\Entity;

use App\Repository\EtatLieuxPointControlRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: EtatLieuxPointControlRepository::class)]
class EtatLieuxPointControl
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column(options: ['default' => false])]
    private ?bool $status = false;

    #[ORM\Column(type: Types::TEXT, nullable: true)]
    private ?string $details = null;

    #[ORM\ManyToOne(inversedBy: 'pointControls')]
    #[ORM\JoinColumn(nullable: false)]
    private ?EtatLieux $etatLieux = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }

    public function isStatus(): ?bool
    {
        return $this->status;
    }

    public function setStatus(bool $status): static
    {
        $this->status = $status;

        return $this;
    }

    public function getDetails(): ?string
    {
        return $this->details;
    }

    public function setDetails(?string $details): static
    {
        $this->details = $details;

        return $this;
    }

    public function getEtatLieux(): ?EtatLieux
    {
        return $this->etatLieux;
    }

    public function setEtatLieux(?EtatLieux $etatLieux): static
    {
        $this->etatLieux = $etatLieux;

        return $this;
    }
}
